Skip to main content
GET
List recent runs for an automation

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

taskId
string
required

Task ID

automationId
string
required

Automation ID

Query Parameters

limit
number

Number of newest runs to return. Defaults to 50, max 100.

Response

200 - application/json

Runs retrieved successfully, newest first, without logs/output

id
string
Example:

"ear_abc123def456"

createdAt
string<date-time>
updatedAt
string<date-time>
evidenceAutomationId
string
Example:

"aut_abc123def456"

status
enum<string>
Available options:
pending,
running,
completed,
failed,
cancelled
startedAt
string<date-time> | null
completedAt
string<date-time> | null
success
boolean | null
error
string | null
evaluationStatus
enum<string> | null
Available options:
pass,
fail
evaluationReason
string | null
triggeredBy
enum<string>
Available options:
manual,
scheduled,
api
runDuration
integer | null

Run duration in milliseconds

version
integer | null

Script version that was executed; null for a draft run

taskId
string | null
evidenceAutomation
object